# HG changeset patch
# Node ID 2da7bd7a11a7
# Parent  65e63a2e6cf4
diff --git a/doc/meson.build b/doc/meson.build
--- a/doc/meson.build
+++ b/doc/meson.build
@@ -1,7 +1,7 @@
 subdir('reference')
 
 if ENABLE_GTK
-	pidgin_man = configure_file(
+	configure_file(
 	    input : 'pidgin3.1.in',
 	    output : 'pidgin3.1',
 	    configuration : man_conf,
@@ -10,7 +10,7 @@ if ENABLE_GTK
 endif
 
 if enable_consoleui
-	finch_man = configure_file(
+	configure_file(
 	    input : 'finch3.1.in',
 	    output : 'finch3.1',
 	    configuration : man_conf,
diff --git a/finch/meson.build b/finch/meson.build
--- a/finch/meson.build
+++ b/finch/meson.build
@@ -211,7 +211,7 @@ libfinch_dep = declare_dependency(
     sources: libfinch_built_headers + libfinch_generated_sources,
     dependencies : [libpurple_dep, libgnt_dep, glib])
 
-finch = executable('finch3',
+executable('finch3',
     finch_SOURCES,
     c_args : [
         '-DSTANDALONE',
diff --git a/libpurple/plugins/autoaccept/meson.build b/libpurple/plugins/autoaccept/meson.build
--- a/libpurple/plugins/autoaccept/meson.build
+++ b/libpurple/plugins/autoaccept/meson.build
@@ -1,4 +1,4 @@
-autoaccept = library('autoaccept', 'autoaccept.c',
+library('autoaccept', 'autoaccept.c',
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PurplePlugin-AutoAccept"'],
     dependencies : [libpurple_dep, glib],
     name_prefix : '',
diff --git a/libpurple/plugins/idle/meson.build b/libpurple/plugins/idle/meson.build
--- a/libpurple/plugins/idle/meson.build
+++ b/libpurple/plugins/idle/meson.build
@@ -1,4 +1,4 @@
-idle = library('idle', 'idle.c',
+library('idle', 'idle.c',
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PurplePlugin-Idle"'],
     dependencies : [libpurple_dep],
     name_prefix : '',
diff --git a/libpurple/plugins/joinpart/meson.build b/libpurple/plugins/joinpart/meson.build
--- a/libpurple/plugins/joinpart/meson.build
+++ b/libpurple/plugins/joinpart/meson.build
@@ -1,4 +1,4 @@
-joinpart = library('joinpart', 'joinpart.c',
+library('joinpart', 'joinpart.c',
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PurplePlugin-JoinPart"'],
     dependencies : [libpurple_dep],
     name_prefix : '',
diff --git a/libpurple/plugins/keychain-access/meson.build b/libpurple/plugins/keychain-access/meson.build
--- a/libpurple/plugins/keychain-access/meson.build
+++ b/libpurple/plugins/keychain-access/meson.build
@@ -2,7 +2,7 @@ if host_machine.system() == 'darwin'
 	KEYCHAIN_ACCESS = dependency('appleframeworks',
 	                             modules : ['CoreFoundation', 'Security'])
 
-	keychain_access_plugin = library('keychain-access', 'keychain-access.c',
+	library('keychain-access', 'keychain-access.c',
 		c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-KeychainAccess"'],
 		dependencies : [KEYCHAIN_ACCESS, libpurple_dep],
 		name_prefix : '',
diff --git a/libpurple/plugins/kwallet/meson.build b/libpurple/plugins/kwallet/meson.build
--- a/libpurple/plugins/kwallet/meson.build
+++ b/libpurple/plugins/kwallet/meson.build
@@ -9,7 +9,7 @@ kwallet_sources = [
 	kwallet_moc,
 ]
 
-kwallet_plugin = library('purplekwallet', kwallet_sources,
+library('purplekwallet', kwallet_sources,
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-KWalletKeyring"'],
     dependencies : [kwallet, qt5_dep, libpurple_dep],
     name_prefix : '',
diff --git a/libpurple/plugins/libsecret/meson.build b/libpurple/plugins/libsecret/meson.build
--- a/libpurple/plugins/libsecret/meson.build
+++ b/libpurple/plugins/libsecret/meson.build
@@ -1,4 +1,4 @@
-libsecret_plugin = library('libsecret', 'libsecret.c',
+library('libsecret', 'libsecret.c',
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-LibSecret"'],
     dependencies : [libsecret, libpurple_dep],
     name_prefix : '',
diff --git a/libpurple/plugins/purple-toast/meson.build b/libpurple/plugins/purple-toast/meson.build
--- a/libpurple/plugins/purple-toast/meson.build
+++ b/libpurple/plugins/purple-toast/meson.build
@@ -1,4 +1,4 @@
-purple_toast = library('purple-toast', 'purple-toast.c',
+library('purple-toast', 'purple-toast.c',
 	c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PurplePlugin-Toast"'],
 	dependencies : [libpurple_dep],
 	name_prefix: '',
diff --git a/libpurple/plugins/statenotify/meson.build b/libpurple/plugins/statenotify/meson.build
--- a/libpurple/plugins/statenotify/meson.build
+++ b/libpurple/plugins/statenotify/meson.build
@@ -1,4 +1,4 @@
-statenotify = library('statenotify', 'statenotify.c',
+library('statenotify', 'statenotify.c',
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PurplePlugin-StateNotify"'],
     dependencies : [libpurple_dep],
     name_prefix : '',
diff --git a/libpurple/plugins/wincred/meson.build b/libpurple/plugins/wincred/meson.build
--- a/libpurple/plugins/wincred/meson.build
+++ b/libpurple/plugins/wincred/meson.build
@@ -1,5 +1,5 @@
 if IS_WIN32
-	wincred_plugin = library('wincred', 'wincred.c',
+	library('wincred', 'wincred.c',
 	    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-WinCredKeyring"'],
 	    dependencies : [libpurple_dep],
 	    name_prefix : '',
diff --git a/libpurple/protocols/bonjour/meson.build b/libpurple/protocols/bonjour/meson.build
--- a/libpurple/protocols/bonjour/meson.build
+++ b/libpurple/protocols/bonjour/meson.build
@@ -32,7 +32,7 @@ if DYNAMIC_BONJOUR
 		c_name : 'bonjour')
 	BONJOUR_SOURCES += bonjour_resources
 
-	bonjour_prpl = shared_library('bonjour', BONJOUR_SOURCES,
+	shared_library('bonjour', BONJOUR_SOURCES,
 	    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-Bonjour"'],
 	    link_args : bonjour_link_args,
 	    dependencies : [libxml, avahi, libpurple_dep, glib, ws2_32],
diff --git a/libpurple/protocols/demo/meson.build b/libpurple/protocols/demo/meson.build
--- a/libpurple/protocols/demo/meson.build
+++ b/libpurple/protocols/demo/meson.build
@@ -26,7 +26,7 @@ if DYNAMIC_DEMO
 		c_name : 'purple_demo')
 	DEMO_SOURCES += demo_resources
 
-	demo_prpl = shared_library('demo', DEMO_SOURCES,
+	shared_library('demo', DEMO_SOURCES,
 		c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-Demo"'],
 		dependencies : [glib, json, libpurple_dep],
 		install : true,
diff --git a/libpurple/protocols/gg/meson.build b/libpurple/protocols/gg/meson.build
--- a/libpurple/protocols/gg/meson.build
+++ b/libpurple/protocols/gg/meson.build
@@ -56,7 +56,7 @@ if DYNAMIC_GG
 		c_name : 'gg')
 	GG_SOURCES += gg_resources
 
-	gg_prpl = shared_library('gg', GG_SOURCES,
+	shared_library('gg', GG_SOURCES,
 	    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-GaduGadu"'],
 	    dependencies : [libgadu, json, libpurple_dep, libsoup, glib],
 	    install : true, install_dir : PURPLE_PLUGINDIR)
diff --git a/libpurple/protocols/ircv3/meson.build b/libpurple/protocols/ircv3/meson.build
--- a/libpurple/protocols/ircv3/meson.build
+++ b/libpurple/protocols/ircv3/meson.build
@@ -92,7 +92,7 @@ if get_option('introspection')
 		c_args : ['-DPURPLE_IRCV3_COMPILATION', f'-DPLUGIN_FILENAME="@plugin_filename@"'],
 		install : false)
 
-	ircv3_gir = gnome.generate_gir(
+	gnome.generate_gir(
 		ircv3_introspection_stub,
 		sources : [IRCV3_SOURCES, IRCV3_HEADERS],
 		includes : ['GLib-2.0', 'GObject-2.0', 'GPlugin-1.0', libpurple_gir[0]],
@@ -100,7 +100,7 @@ if get_option('introspection')
 		symbol_prefix : 'purple_ircv3',
 		nsversion : '1.0',
 		install : true,
-	    dependencies: [gplugin_dep],
+		dependencies: [gplugin_dep],
 		export_packages : ['ircv3'],
 		extra_args : ['-DPURPLE_IRCV3_COMPILATION', '--verbose'])
 endif
diff --git a/meson.build b/meson.build
--- a/meson.build
+++ b/meson.build
@@ -175,8 +175,6 @@ endif
 # libpurple/core.c.
 glib = dependency('glib-2.0', version : '>= 2.76.0')
 gio = dependency('gio-2.0')
-gobject = dependency('gobject-2.0')
-gthread = dependency('gthread-2.0')
 gnome = import('gnome')
 
 add_project_arguments(
@@ -410,8 +408,6 @@ endif
 if IS_WIN32 or not add_languages('cpp', required : get_option('kwallet'), native: false)
 	kwallet = disabler()
 else
-	# Use C++ compiler
-	cxx_compiler = meson.get_compiler('cpp')
 	add_project_arguments([
 		'-DHAVE_CONFIG_H=1',
 		'-DDISPLAY_VERSION="@0@"'.format(meson.project_version()),
@@ -453,7 +449,7 @@ if get_option('doc') and not get_option(
     error('Documentation requires GObject Introspection.')
 endif
 
-gidocgen_dep = dependency(
+dependency(
     'gi-docgen', version: '>= 2021.1',
     fallback: ['gi-docgen', 'dummy_dep'],
     required: get_option('doc')
diff --git a/pidgin/meson.build b/pidgin/meson.build
--- a/pidgin/meson.build
+++ b/pidgin/meson.build
@@ -232,7 +232,7 @@ libpidgin_dep = declare_dependency(
     sources : libpidgin_built_headers,
     dependencies : [gtk, glib, libadwaita, math, talkatu_dep, gplugin_gtk_dep])
 
-pidgin = executable('pidgin3',
+executable('pidgin3',
     pidgin_SOURCES,
     c_args : ['-DPIDGIN_COMPILATION', '-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Pidgin"'],
     include_directories : toplevel_inc,
@@ -259,7 +259,7 @@ desktop_file_in = configure_file(
     input : 'data' / (PIDGIN_DESKTOP_FILE + '.in.in'),
     output : PIDGIN_DESKTOP_FILE + '.in',
     configuration : conf)
-desktop_file = i18n.merge_file(
+i18n.merge_file(
     input : desktop_file_in,
     output : PIDGIN_DESKTOP_FILE,
     po_dir : meson.project_source_root() / 'po',
@@ -267,7 +267,7 @@ desktop_file = i18n.merge_file(
     install : true,
     install_dir : get_option('datadir') / 'applications')
 
-appdata = i18n.merge_file(
+i18n.merge_file(
     input : 'data/im.pidgin.Pidgin3.appdata.xml.in',
     output : 'im.pidgin.Pidgin3.appdata.xml',
     po_dir : meson.project_source_root() / 'po',
diff --git a/pidgin/plugins/disco/meson.build b/pidgin/plugins/disco/meson.build
--- a/pidgin/plugins/disco/meson.build
+++ b/pidgin/plugins/disco/meson.build
@@ -22,7 +22,7 @@ xmppdisco_resource = gnome.compile_resou
     c_name : 'xmppdisco')
 xmppdisco_SOURCES += xmppdisco_resource
 
-xmppdisco = library('xmppdisco', xmppdisco_SOURCES, xmppdisco_HEADERS,
+library('xmppdisco', xmppdisco_SOURCES, xmppdisco_HEADERS,
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-XMPPDisco"'],
     dependencies : [libpurple_dep, libpidgin_dep, glib],
     name_prefix : '',
diff --git a/pidgin/plugins/gestures/meson.build b/pidgin/plugins/gestures/meson.build
--- a/pidgin/plugins/gestures/meson.build
+++ b/pidgin/plugins/gestures/meson.build
@@ -6,7 +6,7 @@ gestures_SOURCES = [
 	'stroke-draw.c'
 ]
 
-gestures = library('gestures', gestures_SOURCES,
+library('gestures', gestures_SOURCES,
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-Gestures"'],
     dependencies : [libpurple_dep, libpidgin_dep, glib],
     name_prefix : '',
diff --git a/pidgin/plugins/iconaway/meson.build b/pidgin/plugins/iconaway/meson.build
--- a/pidgin/plugins/iconaway/meson.build
+++ b/pidgin/plugins/iconaway/meson.build
@@ -1,4 +1,4 @@
-iconaway = library('iconaway', 'iconaway.c',
+library('iconaway', 'iconaway.c',
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-IconAway"'],
     dependencies : [libpurple_dep, libpidgin_dep, glib],
     name_prefix : '',
diff --git a/pidgin/plugins/transparency/meson.build b/pidgin/plugins/transparency/meson.build
--- a/pidgin/plugins/transparency/meson.build
+++ b/pidgin/plugins/transparency/meson.build
@@ -1,4 +1,4 @@
-transparency = library('transparency', 'transparency.c',
+library('transparency', 'transparency.c',
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-Transparency"'],
     dependencies : [libpurple_dep, libpidgin_dep, glib],
     name_prefix : '',
diff --git a/pidgin/plugins/unity/meson.build b/pidgin/plugins/unity/meson.build
--- a/pidgin/plugins/unity/meson.build
+++ b/pidgin/plugins/unity/meson.build
@@ -1,4 +1,4 @@
-unity = library('unity', 'unity.c',
+library('unity', 'unity.c',
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-Unity"'],
     dependencies : [UNITY, libpurple_dep, libpidgin_dep, glib],
     name_prefix : '',
diff --git a/purple-history/meson.build b/purple-history/meson.build
--- a/purple-history/meson.build
+++ b/purple-history/meson.build
@@ -2,7 +2,7 @@ PURPLE_HISTORY_SOURCES = [
 	'purplehistorycore.c',
 ]
 
-purple_history = executable('purple-history',
+executable('purple-history',
 	PURPLE_HISTORY_SOURCES,
 	dependencies : [libpurple_dep, glib],
 	install : true)
